=== debian/changelog ===
ros-indigo-cob-generic-can (0.6.12-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-generic-can (0.6.11-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Matthias Gruhler <mig@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-generic-can (0.6.10-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-indigo-cob-generic-can (0.6.9-0trusty) trusty; urgency=high

  * SocketCAN support (#269 <https://github.com/ipa320/cob_driver/issues/269>)
    * SocketCAN finished implementaiton.
    * Licence update and formating.
    * Run socketcan_interface in the new thread.
    * Removed cmake_modules for boost.
    * Thread initialisation moved to front and added sleep to let enough time to start the thread since this caused problems in some cases (on some computers).
    * Using ThreadedSocketCANInterface.
    * BufferedReader working
    * Updated dependecies and removed initCAN() function.
    * Clean SocketCAN implementation and set Timeout to correct unit (MicroSeconds)
  * manually fix changelog
  * Contributors: Denis Štogl, ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-generic-can (0.6.8-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-generic-can (0.6.7-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-indigo-cob-generic-can (0.6.6-0trusty) trusty; urgency=high

  * Update accorting to comments from ipa-fxm
  * Correction of include and name
  * Correct interface.
  * compiles...
  * Starting with SocketCAN
  * Contributors: Denis Štogl

 -- Matthias Gruhler <mig@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-generic-can (0.6.5-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-generic-can (0.6.4-0trusty) trusty; urgency=high

  * explicit dependency to boost
  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-generic-can (0.6.3-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-generic-can (0.6.2-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-cob-generic-can (0.6.1-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-indigo-cob-generic-can (0.6.0-0trusty) trusty; urgency=high

  * Fixed typo
  * Extended with ReciveMsgTimeout method.
  * Correction...
  * Extended CanPeakSysUSB for usage without (obsolete) Ini-file, some stuff clearly written
  * Contributors: Denis Štogl

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 08 Sep 2014 22:00:00 -0000

ros-indigo-cob-generic-can (0.5.7-0trusty) trusty; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * 0.5.6
  * update changelog
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * Contributors: Alexander Bubeck, Florian Weisshardt

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-indigo-cob-generic-can (0.5.6-0trusty) trusty; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * Contributors: Alexander Bubeck, Florian Weisshardt

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-indigo-cob-generic-can (0.5.3-0trusty) trusty; urgency=high

  * install tags
  * Contributors: ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-indigo-cob-generic-can (0.5.2-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Wed, 19 Mar 2014 23:00:00 -0000

ros-indigo-cob-generic-can (0.5.1-0trusty) trusty; urgency=high

  * added missing install tags
  * Some small dependency tweaks.
  * fixed gcc4.7 build error (sleep and usleep undefined)
  * cleaned up CMakeLists and added install directives
  * further modifications for catkin, now everything is compiling and linking
  * futher include and linkpath modifications
  * compiling but still some linker errors
  * Second catkinization push
  * First catkinization, still need to update some CMakeLists.txt
  * cob_generic_can: selectable __DEBUG__ output
  * cob_generic_can: error message filtering
  * cob_generic_can: restructured and added diagnostic outputs for CAN errors
  * merge
  * remove compiler error
  * cob_generic_can: debug outputs filtered
  * cob_generic_can: detecting heavy CAN-bus loads
  * cob_generic_can: trying to detect BUSOFF of can and restart
  * cob_generic_can: Starting debug on base crash error
  * camera settings added for head
  * cleanup in cob_driver
  * added inifile strings for pcan devices
  * cob_head_axis: correctly working, but front and back is switched
  * update documentation and deleted tf broadcaster
  * cleanup in stacks
  * cleanup in cob_driver
  * merge wit cpc
  * After merging in review branch
  * debugging cob_camera_axis; not yet running
  * added windows.h; some modifications in ElmoCtrl -> not yet working

